Delete a draft booking through the legacy v4 alias
DELETE /api/v5/bookings/v4/{id}
DELETE
/api/v5/bookings/v4/{id}
Legacy “/v4” alias that deletes an unpaid/unprocessed draft booking owned by the member, including its item lines and addresses. Requires an API key. Returns 204 on success and 500 when the booking has already been processed.
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string
Example
623630Numeric booking ID.
Responses
Section titled “ Responses ”Booking deleted
Missing or invalid API key
Booking not found
Booking has already been processed and cannot be deleted
object
errors
required
Any of:
Array<string>
string
object
key
additional properties
Any of:
string
Array<string>
object
message
Validation error message for the field.
string
format
Expected format hint for the field.
string
object
key
additional properties
Any of:
string
Array<string>
object
message
Validation error message for the field.
string
format
Expected format hint for the field.
string